Submits medical safety answers
curl --request PUT \
--url https://api.staging.scan.com/api/v2/referrals/{referral_id}/medical_questionnaire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medical_questionnaire": [
{
"id": "11111111-1111-1111-1111-111111111111",
"answer": "no",
"detail": null
}
]
}
'require 'uri'
require 'net/http'
url = URI("https://api.staging.scan.com/api/v2/referrals/{referral_id}/medical_questionnaire")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medical_questionnaire\": [\n {\n \"id\": \"11111111-1111-1111-1111-111111111111\",\n \"answer\": \"no\",\n \"detail\": null\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyimport requests
url = "https://api.staging.scan.com/api/v2/referrals/{referral_id}/medical_questionnaire"
payload = { "medical_questionnaire": [
{
"id": "11111111-1111-1111-1111-111111111111",
"answer": "no",
"detail": None
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medical_questionnaire: [{id: '11111111-1111-1111-1111-111111111111', answer: 'no', detail: null}]
})
};
fetch('https://api.staging.scan.com/api/v2/referrals/{referral_id}/medical_questionnaire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.scan.com/api/v2/referrals/{referral_id}/medical_questionnaire",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'medical_questionnaire' => [
[
'id' => '11111111-1111-1111-1111-111111111111',
'answer' => 'no',
'detail' => null
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.scan.com/api/v2/referrals/{referral_id}/medical_questionnaire"
payload := strings.NewReader("{\n \"medical_questionnaire\": [\n {\n \"id\": \"11111111-1111-1111-1111-111111111111\",\n \"answer\": \"no\",\n \"detail\": null\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"questions": [
{}
]
}Referrals
Submits medical safety answers
Stores medical safety answers on the referral. Use the question id
values from GET. Answers of yes on blocking questions (for example metal
implants) can prevent live booking at some centers.
PUT
/
api
/
v2
/
referrals
/
{referral_id}
/
medical_questionnaire
Submits medical safety answers
Authorizations
Authorization: Bearer <api_token>. Sandbox tokens come from Get API keys
and allow 2,000 successful requests or 7 days. Failed 4xx/5xx responses do
not consume the allowance. Production tokens are issued from the group's
API access tab.
Path Parameters
Referral ID
Body
application/json
Show child attributes
Show child attributes
Response
answers stored

